<div class="profile-card-holder">
  <div fxLayout="column">
  <!--<form  [FormGroup]="userFormProfile" >-->
    <div fxLayout="row" fxLayoutAlign="space-around center">
      <div class="banner pointer" (click)="_fileInput.click()">
        <img width="200" [style.borderRadius]="'50%'" [src]="croppedImage || user?.avatar || global.USER_DEFAULT_URL">
      </div>
    </div>
    <div class="profile-details mat-elevation-z8">

      <input #_fileInput type="file" (change)="cropping.selectInputEvent($event)" accept="image/jpeg" hidden>
      <div class="text-center" [className]="showContentLoadImage ? 'show' : 'hidden'">
        <div *ngIf="cropping.isLoaded" style="margin-top: 120px;" class="text-center">
          <button (click)="cropping.zoomIn()" ly-button appearance="icon">
            <ly-icon>zoom_in</ly-icon>
          </button>
          <button (click)="cropping.zoomOut()" ly-button appearance="icon">
            <ly-icon>zoom_out</ly-icon>
          </button>
          <button (click)="cropping.center()" ly-button appearance="icon">
            <ly-icon>filter_center_focus</ly-icon>
          </button>
          <button (click)="cropping.rotate(-90)" ly-button appearance="icon">
            <ly-icon>rotate_90_degrees_ccw</ly-icon>
          </button>
          <button (click)="cropping.clean()" ly-button>Clean</button>
        </div>

        <ly-img-cropper [withClass]="classes.cropping" #cropping
                        [config]="myConfig"
                        [(scale)]="scale"
                        (cropped)="onCropped($event)"
                        (loaded)="onloaded($event)"
                        (error)="onerror($event)">
        </ly-img-cropper>

        <div *ngIf="cropping.isLoaded" [className]="classes.range">
          <input type="range" [className]="classes.rangeInput" [attr.min]="cropping.minScale" max="1"
                 [(ngModel)]="scale"
                 step="any">

          <br><br>
          <button type="button" ly-button raised bg="primary" (click)="updateImageUser()">Save</button>
        </div>
      </div>

      <form [formGroup]="userFormProfile" fxLayout="column" class="profile-details-holder"
            fxLayoutAlign="space-around center" *ngIf="user">
        <h1 class="mat-headline center-align">{{user.nick}}</h1>
        <h1 class="mat-subheading-1 center-align">{{user.email}}</h1>
        <div class="Follow">

          <mat-accordion class="example-headers-align">
            <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" hideToggle>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Personal data
                </mat-panel-title>
                <mat-panel-description>
                  Type your name
                  <mat-icon>account_circle</mat-icon>
                </mat-panel-description>
              </mat-expansion-panel-header>

              <ly-grid class="grid-profile" container justify="center" alignItems="center"
                       [spacing]="16">
                <ly-grid item [col]="12">
                  <ly-field fullWidth [appearance]="appearance">
                    <input lyNativeControl type="text" autocomplete="off"
                           id="nick" class="input" placeholder="Please enter your nick"
                           formControlName="nick" required>
                    <ly-label>Nick</ly-label>
                    <ly-hint></ly-hint>
                    <ly-error *ngIf="formErrors.nick">{{ formErrors.nick }}</ly-error>
                  </ly-field>
                </ly-grid>
              </ly-grid>

              <mat-action-row>
                <button mat-button color="primary" (click)="nextStep()">Next</button>
              </mat-action-row>
            </mat-expansion-panel>

            <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)" hideToggle>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Destination
                </mat-panel-title>
                <mat-panel-description>
                  Type the country name
                  <mat-icon>map</mat-icon>
                </mat-panel-description>
              </mat-expansion-panel-header>

              <ly-grid class="grid-profile" container justify="center" alignItems="center"
                       [spacing]="16">
                <ly-grid item [col]="12">
                  <ly-field fullWidth [appearance]="appearance">
                    <input lyNativeControl type="text" autocomplete="off"
                           id="country" class="input" placeholder="Please enter your country"
                           formControlName="country" required>
                    <ly-label>Country</ly-label>
                    <ly-hint></ly-hint>
                    <ly-error *ngIf="formErrors.country">{{ formErrors.country }}</ly-error>
                  </ly-field>
                </ly-grid>
              </ly-grid>


              <mat-action-row>
                <button mat-button color="warn" (click)="prevStep()">Previous</button>
                <button mat-button color="primary" (click)="nextStep()">Next</button>
              </mat-action-row>
            </mat-expansion-panel>

            <mat-expansion-panel [expanded]="step === 2" (opened)="setStep(2)" hideToggle>
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Birthday date
                </mat-panel-title>
                <mat-panel-description>
                  Inform Birthday date
                  <mat-icon>date_range</mat-icon>
                </mat-panel-description>
              </mat-expansion-panel-header>

              <ly-grid class="grid-profile" container justify="center" alignItems="center"
                       [spacing]="16">
                <ly-grid item [col]="12">
                  <ly-field fullWidth [appearance]="appearance">
                    <input [matDatepicker]="birthday" (focus)="birthday.open()" lyNativeControl type="text"
                           autocomplete="off" id="birthday" class="input" placeholder="Please enter your birthday"
                           formControlName="birthday">
                    <ly-label>Birthday date</ly-label>
                    <ly-hint></ly-hint>
                    <ly-error *ngIf="formErrors.birthday">{{ formErrors.birthday }}</ly-error>
                  </ly-field>
                  <mat-datepicker #birthday></mat-datepicker>
                </ly-grid>
              </ly-grid>

              <mat-action-row>
                <button mat-button color="warn" (click)="prevStep()">Previous</button>
                <button mat-button color="primary" (click)="updateUserData()">Update</button>
              </mat-action-row>
            </mat-expansion-panel>
          </mat-accordion>

        </div>
      </form>
    </div>
  </div>
</div>

